// ignore_for_file: camel_case_types, constant_identifier_names, non_constant_identifier_names, unnecessary_this
import './String.dart' as string;
import './Types.dart' as types;
import './Global.dart' as global$;

class SystemException extends types.ExceptionBase {
    SystemException(String message): super(message);
}

SystemException SystemException_$ctor_Z721C83C5(String message) => SystemException(message);

SystemException SystemException_$ctor() => SystemException(global$.SR_Arg_SystemException);

class ApplicationException extends types.ExceptionBase {
    ApplicationException(String message): super(message);
}

ApplicationException ApplicationException_$ctor_Z721C83C5(String message) => ApplicationException(message);

ApplicationException ApplicationException_$ctor() => ApplicationException(global$.SR_Arg_ApplicationException);

class ArithmeticException extends types.ExceptionBase {
    ArithmeticException(String message): super(message);
}

ArithmeticException ArithmeticException_$ctor_Z721C83C5(String message) => ArithmeticException(message);

ArithmeticException ArithmeticException_$ctor() => ArithmeticException(global$.SR_Arg_ArithmeticException);

class DivideByZeroException extends types.ExceptionBase {
    DivideByZeroException(String message): super(message);
}

DivideByZeroException DivideByZeroException_$ctor_Z721C83C5(String message) => DivideByZeroException(message);

DivideByZeroException DivideByZeroException_$ctor() => DivideByZeroException(global$.SR_Arg_DivideByZero);

class FormatException extends types.ExceptionBase {
    FormatException(String message): super(message);
}

FormatException FormatException_$ctor_Z721C83C5(String message) => FormatException(message);

FormatException FormatException_$ctor() => FormatException(global$.SR_Arg_FormatException);

class IndexOutOfRangeException extends types.ExceptionBase {
    IndexOutOfRangeException(String message): super(message);
}

IndexOutOfRangeException IndexOutOfRangeException_$ctor_Z721C83C5(String message) => IndexOutOfRangeException(message);

IndexOutOfRangeException IndexOutOfRangeException_$ctor() => IndexOutOfRangeException(global$.SR_Arg_IndexOutOfRangeException);

class InvalidOperationException extends types.ExceptionBase {
    InvalidOperationException(String message): super(message);
}

InvalidOperationException InvalidOperationException_$ctor_Z721C83C5(String message) => InvalidOperationException(message);

InvalidOperationException InvalidOperationException_$ctor() => InvalidOperationException(global$.SR_Arg_InvalidOperationException);

class NotFiniteNumberException extends types.ExceptionBase {
    NotFiniteNumberException(String message): super(message);
}

NotFiniteNumberException NotFiniteNumberException_$ctor_Z721C83C5(String message) => NotFiniteNumberException(message);

NotFiniteNumberException NotFiniteNumberException_$ctor() => NotFiniteNumberException(global$.SR_Arg_NotFiniteNumberException);

class NotImplementedException extends types.ExceptionBase {
    NotImplementedException(String message): super(message);
}

NotImplementedException NotImplementedException_$ctor_Z721C83C5(String message) => NotImplementedException(message);

NotImplementedException NotImplementedException_$ctor() => NotImplementedException(global$.SR_Arg_NotImplementedException);

class NotSupportedException extends types.ExceptionBase {
    NotSupportedException(String message): super(message);
}

NotSupportedException NotSupportedException_$ctor_Z721C83C5(String message) => NotSupportedException(message);

NotSupportedException NotSupportedException_$ctor() => NotSupportedException(global$.SR_Arg_NotSupportedException);

class NullReferenceException extends types.ExceptionBase {
    NullReferenceException(String message): super(message);
}

NullReferenceException NullReferenceException_$ctor_Z721C83C5(String message) => NullReferenceException(message);

NullReferenceException NullReferenceException_$ctor() => NullReferenceException(global$.SR_Arg_NullReferenceException);

class OutOfMemoryException extends types.ExceptionBase {
    OutOfMemoryException(String message): super(message);
}

OutOfMemoryException OutOfMemoryException_$ctor_Z721C83C5(String message) => OutOfMemoryException(message);

OutOfMemoryException OutOfMemoryException_$ctor() => OutOfMemoryException(global$.SR_Arg_OutOfMemoryException);

class OverflowException extends types.ExceptionBase {
    OverflowException(String message): super(message);
}

OverflowException OverflowException_$ctor_Z721C83C5(String message) => OverflowException(message);

OverflowException OverflowException_$ctor() => OverflowException(global$.SR_Arg_OverflowException);

class RankException extends types.ExceptionBase {
    RankException(String message): super(message);
}

RankException RankException_$ctor_Z721C83C5(String message) => RankException(message);

RankException RankException_$ctor() => RankException(global$.SR_Arg_RankException);

class StackOverflowException extends types.ExceptionBase {
    StackOverflowException(String message): super(message);
}

StackOverflowException StackOverflowException_$ctor_Z721C83C5(String message) => StackOverflowException(message);

StackOverflowException StackOverflowException_$ctor() => StackOverflowException(global$.SR_Arg_StackOverflowException);

class TimeoutException extends types.ExceptionBase {
    TimeoutException(String message): super(message);
}

TimeoutException TimeoutException_$ctor_Z721C83C5(String message) => TimeoutException(message);

TimeoutException TimeoutException_$ctor() => TimeoutException(global$.SR_Arg_TimeoutException);

class ArgumentException extends types.ExceptionBase {
    final String paramName;
    ArgumentException(String message, this.paramName): super(string.isNullOrEmpty(paramName) ? message : (((message + global$.SR_Arg_ParamName_Name) + paramName) + '\')'));
}

ArgumentException ArgumentException_$ctor_Z384F8060(String message, String paramName) => ArgumentException(message, paramName);

ArgumentException ArgumentException_$ctor() => ArgumentException(global$.SR_Arg_ArgumentException, '');

ArgumentException ArgumentException_$ctor_Z721C83C5(String message) => ArgumentException(message, '');

String ArgumentException__get_ParamName(ArgumentException _$) => _$.paramName;

class ArgumentNullException extends ArgumentException {
    ArgumentNullException(String paramName, String message): super(message, paramName);
}

ArgumentNullException ArgumentNullException_$ctor_Z384F8060(String paramName, String message) => ArgumentNullException(paramName, message);

ArgumentNullException ArgumentNullException_$ctor_Z721C83C5(String paramName) => ArgumentNullException(paramName, global$.SR_ArgumentNull_Generic);

ArgumentNullException ArgumentNullException_$ctor() => ArgumentNullException_$ctor_Z721C83C5('');

class ArgumentOutOfRangeException extends ArgumentException {
    ArgumentOutOfRangeException(String paramName, String message): super(message, paramName);
}

ArgumentOutOfRangeException ArgumentOutOfRangeException_$ctor_Z384F8060(String paramName, String message) => ArgumentOutOfRangeException(paramName, message);

ArgumentOutOfRangeException ArgumentOutOfRangeException_$ctor_Z721C83C5(String paramName) => ArgumentOutOfRangeException(paramName, global$.SR_Arg_ArgumentOutOfRangeException);

ArgumentOutOfRangeException ArgumentOutOfRangeException_$ctor() => ArgumentOutOfRangeException_$ctor_Z721C83C5('');

